Permalink
Browse files

reverted changes for PHP 5.3 garbage collector

  • Loading branch information...
1 parent d366fc5 commit 8c55bf0fe6030eb41b2be408df1cf226cb184933 @leesbian leesbian committed May 15, 2012
Showing with 5 additions and 28 deletions.
  1. +1 −5 api.php
  2. +0 −4 cron.php
  3. +1 −7 get.php
  4. +2 −7 index.php
  5. +1 −5 install.php
View
6 api.php 100755 → 100644
@@ -23,10 +23,6 @@
* @copyright Copyright (c) 2011 Magento Inc. (http://www.magentocommerce.com)
* @license http://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
*/
-if (version_compare(phpversion(), '5.3.0', '>=') === true)
-{
- gc_enable();
-}
if (version_compare(phpversion(), '5.2.0', '<')) {
echo 'It looks like you have an invalid PHP version. Magento supports PHP 5.2.0 or newer';
@@ -89,4 +85,4 @@
echo $e->getMessage();
exit;
}
-}
+}
View
4 cron.php 100755 → 100644
@@ -23,10 +23,6 @@
* @copyright Copyright (c) 2008 Irubin Consulting Inc. DBA Varien (http://www.varien.com)
* @license http://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
*/
-if (version_compare(phpversion(), '5.3.0', '>=') === true)
-{
- gc_enable();
-}
require 'app/Mage.php';
View
8 get.php 100755 → 100644
@@ -24,13 +24,7 @@
* @copyright Copyright (c) 2008 Irubin Consulting Inc. DBA Varien (http://www.varien.com)
* @license http://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
*/
-if (version_compare(phpversion(), '5.3.0', '>=') === true)
-{
- gc_enable();
-}
-
-if (version_compare(phpversion(), '5.2.0', '<') === true)
-{
+if (version_compare(phpversion(), '5.2.0', '<')===true) {
echo '<div style="font:12px/1.35em arial, helvetica, sans-serif;"><div style="margin:0 0 25px 0; '
. 'border-bottom:1px solid #ccc;"><h3 style="margin:0; font-size:1.7em; font-weight:normal; '
. 'text-transform:none; text-align:left; color:#2f2f2f;">Whoops, it looks like you have an invalid PHP version.'
View
9 index.php 100755 → 100644
@@ -23,13 +23,8 @@
* @copyright Copyright (c) 2008 Irubin Consulting Inc. DBA Varien (http://www.varien.com)
* @license http://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
*/
-if (version_compare(phpversion(), '5.3.0', '>=') === true)
-{
- gc_enable();
-}
-if (version_compare(phpversion(), '5.2.0', '<') === true)
-{
+if (version_compare(phpversion(), '5.2.0', '<')===true) {
echo '<div style="font:12px/1.35em arial, helvetica, sans-serif;">
<div style="margin:0 0 25px 0; border-bottom:1px solid #ccc;">
<h3 style="margin:0; font-size:1.7em; font-weight:normal; text-transform:none; text-align:left; color:#2f2f2f;">
@@ -89,4 +84,4 @@
/* Run store or run website */
$mageRunType = isset($_SERVER['MAGE_RUN_TYPE']) ? $_SERVER['MAGE_RUN_TYPE'] : 'store';
-Mage::run($mageRunCode, $mageRunType);
+Mage::run($mageRunCode, $mageRunType);
View
6 install.php 100755 → 100644
@@ -117,10 +117,6 @@
* --encryption_key // optional, will be automatically generated and displayed on success, if not specified
*
*/
-if (version_compare(phpversion(), '5.3.0', '>=') === true)
-{
- gc_enable();
-}
if (version_compare(phpversion(), '5.2.0', '<')===true) {
die('ERROR: Whoops, it looks like you have an invalid PHP version. Magento supports PHP 5.2.0 or newer.');
@@ -156,4 +152,4 @@
}
}
}
-exit(1); // don't delete this as this should notify about failed installation
+exit(1); // don't delete this as this should notify about failed installation

0 comments on commit 8c55bf0

Please sign in to comment.